package com.sygem.swing.demos;

import javax.swing.UIManager;
import java.awt.*;
import com.sygem.swing.renderers.*;

/**
 * <p>Title: JOutlookNavBar</p>
 * <p>Description: A Swing component simulating Outlook's Nav Bar</p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: SyGem Software</p>
 * @author Simon Jewell
 * @version 1.0
 */

public class JOutlookNavBarDemo {
  boolean packFrame = false;

  //Construct the application
  public JOutlookNavBarDemo() {
    JOutlookNavBarDemoFrame frame = new JOutlookNavBarDemoFrame();
    //Validate frames that have preset sizes
    //Pack frames that have useful preferred size info, e.g. from their layout
    if (packFrame) {
      frame.pack();
    }
    else {
      frame.validate();
    }
    //Center the window
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setVisible(true);
  }

  //Main method
  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    new JOutlookNavBarDemo();
  }
}
